## linuxcnc 2.8.0

=== src/Makefile ===
ifeq ($(origin KERNELRELEASE), undefined)
MAKEFLAGS += --warn-undefined-variables
endif

EXTRAFLAGS :=
EXTRA_DEBUG ?=

# see http://www.cmcrossroads.com/ask-mr-make/6535-tracing-rule-execution-in-gnu-make
# to trace make execution of make in more detail:
# make VV=1
ifeq ("$(origin VV)", "command line")
    OLD_SHELL := $(SHELL)
    SHELL = $(warning Building $@$(if $<, (from $<))$(if $?, ($? newer)))$(OLD_SHELL)
endif

# Delete the default suffix rules
.SUFFIXES:
.PHONY: default userspace modules clean modclean depclean install python pythonclean cscope cscopeclean

# A "trivial build" is one which should not include dependency information
# either because it should be usable before dependency information can be
# generated or when it is invalid (clean, docclean) or when running as root
# when the user must guarantee in advance that everything is built
# (setuid, install)
ifeq ($(MAKECMDGOALS),)
TRIVIAL_BUILD=no
else
ifeq ($(filter-out docclean clean setuid install tags swish,$(MAKECMDGOALS)),)
TRIVIAL_BUILD=yes
else
TRIVIAL_BUILD=no
endif
endif


# Beautify output
# ---------------------------------------------------------------------------
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If BUILD_VERBOSE equals 0 then the above command will be hidden.
# If BUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
else
  Q = @
endif

ifeq "$(findstring s,$(filter-out --%, $(MAKEFLAGS)))" ""
ECHO=@echo
VECHO=echo
else
ECHO=@true
VECHO=true
endif

ifeq ($(BASEPWD),)
BASEPWD := $(shell pwd)
export BASEPWD
include Makefile.inc
ifeq ($(origin PYTHONPATH),undefined)
PYTHONPATH:=$(EMC2_HOME)/lib/python
else
PYTHONPATH:=$(EMC2_HOME)/lib/python:$(PYTHONPATH)
endif
export PYTHONPATH
else
include $(BASEPWD)/Makefile.inc
endif
ifeq ($(RTPREFIX),)
$(error Makefile.inc must specify RTPREFIX and other variables)
endif

cc-option = $(shell if $(CC) $(CFLAGS) $(1) -S -o /dev/null -xc /dev/null \
	     > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)
cxx-option = $(shell if $(CXX) $(CXXFLAGS) $(1) -S -o /dev/null -xc++ /dev/null \
            > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

ifeq ($(origin KERNELRELEASE),undefined)
# When KERNELRELEASE is not defined, this is the userspace build.
# The "modules" target is the gateway to the kernel module build.
default: userspace modules
ifeq ($(RUN_IN_PLACE),yes)
ifneq ($(BUILD_SYS),uspace)
	@if [ -f ../bin/linuxcnc_module_helper ]; then if ! [ `id -u` = 0 -a -O ../bin/linuxcnc_module_helper -a -u ../bin/linuxcnc_module_helper ]; then $(VECHO) "You now need to run 'sudo make setuid' in order to run in place."; fi; fi
else
	@if [ -f ../bin/rtapi_app ]; then if ! [ `id -u` = 0 -a -O  ../bin/rtapi_app -a -u ../bin/rtapi_app ]; then $(VECHO) "You now need to run 'sudo make setuid' in order to run in place with access to hardware."; fi; fi
endif
endif


# Print 'entering' all the time
MAKEFLAGS += w

# Create the variables with := so that subsequent += alterations keep it
# as a "substitute at assignment time" variable
TARGETS :=
PYTARGETS :=
GENERATED_MANPAGES :=

# Submakefiles from each of these directories will be included if they exist
SUBDIRS := \
    libnml/linklist libnml/cms libnml/rcs libnml/inifile libnml/os_intf \
    libnml/nml libnml/buffer libnml/posemath libnml \
    \
    rtapi/examples/timer rtapi/examples/semaphore rtapi/examples/shmem \
    rtapi/examples/extint rtapi/examples/fifo rtapi/examples rtapi \
    \
    hal/components hal/drivers hal/drivers/mesa-hostmot2 \
    hal/user_comps/devices hal/user_comps/mb2hal \
    hal/user_comps hal/user_comps/vismach hal/user_comps/vfs11_vfd hal/classicladder hal/utils hal \
    hal/user_comps/vfdb_vfd hal/user_comps/wj200_vfd \
    hal/user_comps/huanyang-vfd \
	hal/user_comps/xhc-whb04b-6 \
    \
    emc/usr_intf/axis emc/usr_intf/touchy emc/usr_intf/stepconf emc/usr_intf/pncconf \
    emc/usr_intf/gremlin emc/usr_intf/gscreen emc/usr_intf/pyui emc/usr_intf/qtvcp \
    emc/usr_intf/gmoccapy \
    emc/usr_intf emc/nml_intf emc/task emc/iotask emc/kinematics emc/tp emc/canterp \
    emc/motion emc/ini emc/rs274ngc emc/sai emc emc/pythonplugin \
    emc/motion-logger \
    \
    module_helper \
    \
    po \
    \
    ../docs/src ../docs/src/source-highlight \



ULAPISRCS := rtapi/$(RTPREFIX)_ulapi.c

# Each item in INCLUDES is transformed into a -I directive later on
# The top directory is always included
INCLUDES := .

USERSRCS :=
PROGRAMS :=

# When used like $(call TOxxx, ...) these turn a list of source files
# into the corresponding list of object files, dependency files,
# or both.  When a source file has to be compiled with special flags,
# TOOBJSDEPS is used.  Confusingly, TOOBJSDEPS includes preprocessed source
# file names, but this is what allows 'make src.i' to produce proper
# preprocessed source when src.c needs a customized compile flag.
# See Submakefile.skel for an example.
TOOBJS = $(patsubst %.cc,objects/%.o,$(patsubst %.c,objects/%.o,$(1)))
TODEPS = $(patsubst %.cc,objects/%.d,$(patsubst %.c,objects/%.d,$(1)))
TOOBJSDEPS = $(call TOOBJS,$(1)) $(call TODEPS, $(1)) $(patsubst %.cc,%.ii,$(patsubst %.c,%.i,$(1)))

SUBMAKEFILES := $(patsubst %,%/Submakefile,$(SUBDIRS))
-include $(wildcard $(SUBMAKEFILES))

# This checks that all the things listed in USERSRCS are either C files
# or C++ files
ASSERT_EMPTY = $(if $(1), $(error "Should be empty but is not: $(1)"))
$(call ASSERT_EMPTY,$(filter-out %.c %.cc, $(USERSRCS)))

$(call TOOBJS,$(PYSRCS)) : EXTRAFLAGS += -fPIC -fno-strict-aliasing
USERSRCS += $(PYSRCS)

# Find the list of object files for each type of source file
CUSERSRCS := $(filter %.c,$(USERSRCS))
CXXUSERSRCS := $(filter %.cc,$(USERSRCS))
CUSEROBJS := $(call TOOBJS,$(CUSERSRCS))
CXXUSEROBJS += $(call TOOBJS,$(CXXUSERSRCS))

ifeq ($(TRIVIAL_BUILD),no)
# Find the dependency filenames, then include them all
DEPS := $(sort $(patsubst %.o,%.d,$(CUSEROBJS) $(CXXUSEROBJS)))
READ_DEPS = $(wildcard $(DEPS))
$(shell $(VECHO) 1>&2 Reading $(words $(READ_DEPS))/$(words $(DEPS)) dependency files)
-include $(READ_DEPS)
UNREAD_DEPS = $(filter-out $(READ_DEPS), $(DEPS))
$(shell $(VECHO) 1>&2 Done reading dependencies)
endif

# Each directory in $(INCLUDES) is passed as a -I directory when compiling.
INCLUDE := $(patsubst %,-I%, $(INCLUDES)) -I$(RTDIR)/include
INCLUDE += -I$(INCLUDEPY)
INCLUDE += $(LIBTIRPC_CFLAGS)

# Compilation options.	Perhaps some of these should come from Makefile.inc? (CXXFLAGS now does)
INTEGER_OVERFLOW_FLAGS := -fwrapv
OPT := -Os $(INTEGER_OVERFLOW_FLAGS)
DEBUG := $(DEBUG) -g -Wall -Werror=implicit-function-declaration
CFLAGS := $(INCLUDE) $(OPT) $(DEBUG) $(EXTRA_DEBUG) -DULAPI -std=gnu99 -fgnu89-inline
CXXFLAGS := $(INCLUDE) $(CXXFLAGS)   $(EXTRA_DEBUG) -DULAPI $(DEBUG) $(OPT) -Woverloaded-virtual
CXXFLAGS += $(call cxx-option, -Wno-psabi)
CXXFLAGS += $(call cxx-option, -std=gnu++11, -std=gnu++0x)

ifeq ($(RUN_IN_PLACE),yes)
LDFLAGS := -L$(LIB_DIR) -Wl,-rpath,$(LIB_DIR) $(LIBTIRPC_LIBS)
else
LDFLAGS := -Wl,-rpath-link,../lib $(LIBTIRPC_LIBS)
endif

# Rules to make .o (object) files
$(sort $(CUSEROBJS)) : objects/%.o: %.c
	$(ECHO) Compiling $<
	@mkdir -p $(dir $@)
	@rm -f $@
	$(Q)$(CC) -c $(CFLAGS) $(EXTRAFLAGS) \
		-MP -MD -MF "${@:.o=.d}" -MT "$@" \
		$< -o $@

$(sort $(CXXUSEROBJS)) : objects/%.o: %.cc
	$(ECHO) Compiling $<
	@mkdir -p $(dir $@)
	@rm -f $@
	$(Q)$(CXX) -c $(CXXFLAGS) $(EXTRAFLAGS) \
		-MP -MD -MF "${@:.o=.d}" -MT "$@" \
		$< -o $@

# Rules to make .i (preprocessed) files
$(sort $(patsubst %.c,%.i,$(CUSERSRCS))): %.i: %.c
	$(ECHO) Preprocessing $< to $@
	$(Q)$(CC) -dD $(CFLAGS) $(EXTRAFLAGS) -E $< -o $@

$(sort $(patsubst %.cc,%.ii,$(CXXUSERSRCS))): %.ii: %.cc
	$(ECHO) Preprocessing $< to $@
	$(Q)$(CXX) -dD $(CXXFLAGS) $(EXTRAFLAGS) -E $< -o $@

ifeq ($(TRIVIAL_BUILD),no)
configure: configure.ac
	AUTOGEN_TARGET=configure ./autogen.sh

config.h.in: configure.ac
	AUTOGEN_TARGET=config.h.in ./autogen.sh

config.status: configure
	if [ -f config.status ]; then ./config.status --recheck; else \
	    echo 1>&2 "*** linuxcnc is not configured.	Run './configure' with appropriate flags."; \
	    exit 1; \
	fi
endif

Makefile: config.h
config.h: config.h.in config.status
	@./config.status -q --header=$@

INFILES = \
        ../scripts/linuxcnc ../scripts/realtime \
	../scripts/haltcl ../scripts/rtapi.conf Makefile.inc Makefile.modinc \
	../tcl/linuxcnc.tcl ../scripts/halrun ../scripts/rip-environment \
	../scripts/linuxcncmkdesktop \
	../lib/python/nf.py \
	../share/desktop-directories/linuxcnc-doc.directory \
	../share/desktop-directories/linuxcnc-ref.directory \
	../share/desktop-directories/linuxcnc-cnc.directory \
	../share/menus/CNC.menu \
	../share/applications/linuxcnc.desktop \
	../share/applications/linuxcnc-latency.desktop \
	../scripts/linuxcnc_var \
	../scripts/halcmd_twopass \

$(INFILES): %: %.in config.status
	@./config.status --file=$@

default: $(INFILES)

# For each file to be copied to ../include, its location in the source tree
# is listed here.  Note that due to $(INCLUDE), defined above, the include
# files in the source tree are the ones used when building linuxcnc.  The copy
# in ../include is used when building external components of linuxcnc.
HEADERS := \
    config.h \
    emc/ini/emcIniFile.hh \
    emc/ini/iniaxis.hh \
    emc/ini/inijoint.hh \
    emc/ini/initool.hh \
    emc/ini/initraj.hh \
    emc/ini/inihal.hh \
    emc/kinematics/cubic.h \
    emc/kinematics/kinematics.h \
    emc/kinematics/genhexkins.h \
    emc/kinematics/genserkins.h \
    emc/kinematics/pentakins.h \
    emc/kinematics/pumakins.h \
    emc/tp/tc.h \
    emc/tp/tc_types.h \
    emc/tp/tcq.h \
    emc/tp/tp.h \
    emc/tp/tp_types.h \
    emc/tp/spherical_arc.h \
    emc/tp/blendmath.h \
    emc/motion/emcmotcfg.h \
    emc/motion/motion.h \
    emc/motion/simple_tp.h \
    emc/motion/usrmotintf.h \
    emc/nml_intf/canon.hh \
    emc/nml_intf/canon_position.hh \
    emc/nml_intf/emctool.h \
    emc/nml_intf/emc.hh \
    emc/nml_intf/emc_nml.hh \
    emc/nml_intf/emccfg.h \
    emc/nml_intf/emcglb.h \
    emc/nml_intf/emcpos.h \
    emc/nml_intf/interp_return.hh \
    emc/nml_intf/interpl.hh \
    emc/nml_intf/motion_types.h \
    emc/nml_intf/debugflags.h \
    emc/rs274ngc/interp_internal.hh \
    emc/rs274ngc/interp_fwd.hh \
    emc/rs274ngc/interp_base.hh \
    emc/rs274ngc/rs274ngc.hh \
    emc/rs274ngc/saicanon.hh \
    hal/hal.h \
    hal/hal_parport.h \
    hal/drivers/mesa-hostmot2/hostmot2-serial.h \
    libnml/buffer/locmem.hh \
    libnml/buffer/memsem.hh \
    libnml/buffer/phantom.hh \
    libnml/buffer/physmem.hh \
    libnml/buffer/recvn.h \
    libnml/buffer/rem_msg.hh \
    libnml/buffer/sendn.h \
    libnml/buffer/shmem.hh \
    libnml/buffer/tcpmem.hh \
    libnml/cms/cms.hh \
    libnml/cms/cms_aup.hh \
    libnml/cms/cms_cfg.hh \
    libnml/cms/cms_dup.hh \
    libnml/cms/cms_srv.hh \
    libnml/cms/cms_up.hh \
    libnml/cms/cms_user.hh \
    libnml/cms/cms_xup.hh \
    libnml/cms/cmsdiag.hh \
    libnml/cms/tcp_opts.hh \
    libnml/cms/tcp_srv.hh \
    libnml/inifile/inifile.h \
    libnml/inifile/inifile.hh \
    libnml/linklist/linklist.hh \
    libnml/nml/cmd_msg.hh \
    libnml/nml/nml.hh \
    libnml/nml/nml_mod.hh \
    libnml/nml/nml_oi.hh \
    libnml/nml/nml_srv.hh \
    libnml/nml/nml_type.hh \
    libnml/nml/nmldiag.hh \
    libnml/nml/nmlmsg.hh \
    libnml/nml/stat_msg.hh \
    libnml/os_intf/_sem.h \
    libnml/os_intf/sem.hh \
    libnml/os_intf/_shm.h \
    libnml/os_intf/shm.hh \
    libnml/os_intf/_timer.h \
    libnml/os_intf/timer.hh \
    libnml/posemath/posemath.h \
    libnml/posemath/gotypes.h \
    libnml/posemath/gomath.h \
    libnml/posemath/sincos.h \
    libnml/rcs/rcs.hh \
    libnml/rcs/rcs_exit.hh \

=== debian/changelog ===
linuxcnc (1:2.8.0) buster; urgency=low

  * Finally merge "Joints Axes". Joints and cartesian axes are no longer
    treated as the same thing, making control of robots and non-trivial
    kinematics significantly tidier.
  * Add a script to automatically update to the new INI file layout and
    new HAL pin names.
  * Multispindle: LinuxCNC now supports up to 9 spindles.
  * Tandem axes handled properly, including auto-squaring.
  * Reverse-Run: Negative feed-override will now run the G-code path in
    reverse.
  * External Offsets, axes may now be moved from HAL as well as G-code.
  * increase max tools from 55 to 1000.
  * Many Trajector Planner improvements.

  * M98/M99 subprograms: - Support Fanuc-style subroutines
  * Add G74/G84 floating tap cycles
  * Enable remap of M62-M68
  * Implement G52 offsets
  * G33.1 Rigid Tapping speedup, with optional faster return move

  * pentakins kinematics.
  * trivkins now allows arbitrary mapping of axes to joints.
  * dh-parameters.txt doc (with graphics for rv-6sl)
  * corexy sims: demonstrate two methods
  * kins: add scorbot-kins
  * rotarydelta config with simulation
  * Rotary delta kinematics

  * QTvcp: New QT-based VCP framework
  * QTdragon, QTlathe, QTtouchy, QTscreen - new GUIs based on QTVP
  * Silverdragon: New gscreen based GUI
  * plasmac: New full-featured Plasma cutter controller
  * Back tool lathe support in axis and gmoccapy
  * Many Axis improvements
  * Many Gmoccapy improvements
  * stepconf - various improvements
  * pncconf - many improvements

  * Much enlarged new Spanish language translations
  * it.po: New Italian translation file.
  * Improve German translation
  * Add international support for classicladder
  * Added Chinese translations for some docs
  * Some new French translations

  * Mesa 7i96 support added
  * RPi4 fixes and Mesa 7C80/7C81 board additions
  * hal_pi_gpio: Add a HAL driver for Raspberry Pi GPIO
  * hal_bb_gpio: new hardware driver for BeagleBone Black GPIO
  * add ohmic.comp plus supporting documentation
  * demux: A new HAL component
  * Create Spindle_monitor.comp
  * thermistor comp:
  * limit3.comp add enable pin
  * pmx485: New component, Modbus comms to PowerMax Plasma cutter
  * add a driver for the Huanyang GT series VFD
  * mitsub_vfd -add a driver for Mitsubishi VFDs
  * xhc_whb04b-6: New HAL driver for the xhc-whb04b-6 pendant
  * bldc_hall and bldc_sine removed, use bldc

  * rtapi: add a halcmd command to set the messaging level
  * Touchy: Allow re-homing and unhoming in JA systems.
  * G33.1 Fix for #639 & #703
  * bldc_hall3: Remove bldc_hall3 as it is more than replaced by bldc.
  * homing - support absolute encoders for homing
  * remove limit of bits from weighted sum component
  * FEATURES: Convert the [RS274NGC] FEATURES bitmask to INI entries
  * Contour Shuttle: Add vendor ID etc for ShuttleProV2
  * halcompile: Allow userspace component compile with RTAI
  * iocontrols tool_number and interps current_tool now return the same
      value, as expected and documented
  * halcompile: Document extra_compile_args
  * Make amp-enable go false when kinematics fails.
      https://github.com/LinuxCNC/linuxcnc/issues/655
  * Axis preview improved with wrapped rotary axis.
  * Many other Axis UI improvements
  * glcanon -Make the cone size adjustable via INI
  * docs -Add modbus message info for Classicladder
  * Add FF3 term to PID
  * carousel.comp: Many updates including fwd-rev duty cycles, parity
  * mesa_uart.comp: Fix a long-standing names bug.
  * python-interface.txt: expand jog parameters defs
  * BUGFIX: hostmot2 encoder quadrature error reporting bug. Previous to
      this patch the quadrature errors were not reported correctly and
      could be lost.
  * sserial,c: Don't report "remote error" as the error when there is a
      remote error https://github.com/LinuxCNC/linuxcnc/issues/439
  * halcompile: MAX_PERSONALITIES=64, docs update
  * Module to send notifications over DBus to the system notification server
  * mux_generic: Fix some long-standing bugs
  * Add spindle.N.amp-fault-in pins to motion, to report spindle amplifer
      faults
  * pid: use command-deriv when supplied
  * Hostmot2 / resolver.c Add the option to fake absolute encoders with
      resolvers
  * gremlin_view.py: improve standalone focus behavior
  * puma_cube.ini new introductory sim config
  * lcd.c - fix a read out of bounds bug
  * docs: add missing num_sserials info to hm2 manpage
  * docs: add G20/G21 unit info to G-code Quick Ref
  * Vismach / Puma: Make the Puma simulator geometry match the kinematics.
  * limit3: add .in-limit pin
  * homing:describe home_sequence startnum restriction
  * hm2_eth: add support for Mesa 7i93 AnyIO ethernet board
  * add support for float values in the sserial driver.
  * GladeVCP - CombiDRO - bugfixes
  * siggen.c: add reset pin
  * Tooledit fixes
  * Hostmot2 Absolute Encoders: Add a flag to inhibit encoder wrapping.
  * latency-histogram: new option (--nox) for no X gui
  * update_ini: Script to auto-convert configs to the Joints-Axes format
  * rtapi: Add rtapi_open_as_root API
  * uspace: add uspace+xenomai realtime
  * uspace: add uspace+rtai realtime
  * add a sample config for the scorbot-er-3 robot arm
  * docs: document AXIS's foam mode

 -- andypugh <andy@bodgesoc.org>  Sun, 16 Aug 2020 19:47:54 +0100

linuxcnc (1:2.8.0~pre1) rosa; urgency=low

  * New external axis offsets
  * New support for Mesa 7i96 ethernet card
  * New experimental QT based VCP
  * New G52 local coordinate system offset
  * New support for multiple spindles up to 9
  * G33.1 Rigid Tapping speedup, with optional faster return move
  * Back tool lathe support in axis and gmoccapy
  * Seperate joint and axis limits for non trivial kins machines
  * bldc_hall removed: use bldc

 -- Sebastian Kuzminsky <seb@highlab.com>  Sun, 26 Oct 2014 23:18:24 -0600

linuxcnc (1:2.7.15) unstable; urgency=medium

  * gaxis: use the theme that was made for it


=== debian/control ===
Source: linuxcnc
Section: misc
Priority: optional
Maintainer: Sebastian Kuzminsky <seb@highlab.com>
Build-Depends: debhelper (>= 6),
    dh-python,
    libudev-dev,iptables,
    ,
    kmod,
    python-yapps,
    tcl8.6-dev,
    tk8.6-dev,
    libreadline-gplv2-dev,
    asciidoc (>= 8.5), dblatex (>= 0.2.12), docbook-xsl, 
        dvipng, ghostscript, graphviz, groff, imagemagick, inkscape, 
        python-lxml, source-highlight, w3c-linkchecker, xsltproc, 
        texlive-extra-utils, texlive-font-utils, texlive-fonts-recommended, 
        texlive-lang-cyrillic, texlive-lang-french, texlive-lang-german, 
        texlive-lang-polish, texlive-lang-spanish, texlive-latex-recommended, asciidoc-dblatex,
    python,
    python-dev,
    python-tk,
    libxmu-dev,
    libglu1-mesa-dev,
    libgl1-mesa-dev | libgl1-mesa-swx11-dev,
    libgtk2.0-dev,
    gettext,
    intltool,
    autoconf,
    libboost-python-dev,
    netcat,
    libmodbus-dev (>= 3.0),
    libusb-1.0-0-dev,
    procps,
    psmisc,
    desktop-file-utils,
    yapps2,
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/LinuxCNC/linuxcnc
Vcs-Git: git://github.com/linuxcnc/linuxcnc.git

Package: linuxcnc-uspace-dev
Architecture: any
Conflicts: linuxcnc-sim-dev, linuxcnc-dev
Depends: g++, ,
    python-serial,
    python (>= 2.7), python (<< 2.8),
    ${python:Depends}, ${misc:Depends},
    linuxcnc-uspace (= ${binary:Version}),
    python-yapps
Section: libs
Description: PC based motion controller for real-time Linux
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package includes files needed to build new realtime components and
 alternate front-ends for linuxcnc

Package: linuxcnc-uspace
Conflicts: linuxcnc-sim, linuxcnc
Architecture: any
Recommends: linuxcnc-doc-en | linuxcnc-doc,
    python-pyqt5,
    python-pyqt5.qsci,
    python-pyqt5.qtopengl,
    python-pyqt5.qtsvg,
    python-pyqt5.qtwebkit,
    python-opencv,
    python-rsvg,
    python-dbus.mainloop.pyqt5,
    gstreamer1.0-tools,
    python-espeak,
    espeak,
    pyqt5-dev-tools,
    hostmot2-firmware-all, linux-image-rt-amd64 [linux-amd64], linux-image-rt-686-pae [linux-i386]
Depends: ${shlibs:Depends}, libudev-dev,iptables,
    tcl8.6, tk8.6, bwidget (>= 1.7), libtk-img (>=1.13),
    python (>= 2.7), python (<< 2.8),
    ${python:Depends}, ${misc:Depends},
    python2.7-tk,
    python2.7-glade2 | python-glade2,
    python2.7-numpy | python-numpy,
    python2.7-imaging | python-imaging | python-pil,
    python2.7-imaging-tk | python-imaging-tk | python-pil.imagetk,
    python-gtksourceview2,
    python-vte | gir1.2-vte-2.91,
    python-gst-1.0,gstreamer1.0-plugins-base,
    python-xlib, python-gtkglext1, python-configobj,
    tclreadline, procps, psmisc, module-init-tools | kmod, tclx,
    mesa-utils, blt
Description: motion controller for CNC machines and robots
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).

Package: linuxcnc-doc-en
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (English documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in English.

Package: linuxcnc-doc-fr
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (French documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in French.

Package: linuxcnc-doc-es
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: controlador de movimiento para máquinas CNC y robots (Español).
 LinuxCNC es EMC (controlador de máquina mejorado) que proporciona
 control de movimiento para máquinas herramientas CNC (fresado,
 torneado, ruteado, etc.) y aplicaciones de robótica.
 .
 Este paquete contiene la documentación en español.

Package: linuxcnc-doc-cn
Provides: linuxcnc-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: pdf-viewer
Description: motion controller for CNC machines and robots (Chinese
 documentation)
 LinuxCNC is the next-generation Enhanced Machine Controller which
 provides motion control for CNC machine tools and robotic
 applications (milling, cutting, routing, etc.).
 .
 This package contains the documentation in Chinese.

=== debian/rules ===
#!/usr/bin/make -f
# Simple set of debian/rules that uses debhelper.
# Based on an example by Joey Hess. 
# extended by Paul Corner, Alex Joni, Chris Radek, Jeff Epler (in cronological order)

# Copyright (C) 2006 Jeff Epler
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# When used to produce a debian package, this file is a script "used to
# control compilation and installation of the executable"

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

kernel_version = uspace

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

# Add here commands to compile the package.
	cd src && ./autogen.sh
ifeq "$(kernel_version)" "uspace"
	cd src && ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --with-realtime=uspace --enable-build-documentation=pdf --disable-check-runtime-deps
else
	cd src && ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --with-realtime=/usr/realtime-$(kernel_version) --enable-build-documentation=pdf --disable-check-runtime-deps
endif
	(cd src; $(MAKE) $(MAKEFLAGS) && $(MAKE) $(MAKEFLAGS) docs)
	touch build-stamp

clean: debian/control
	dh_testdir
	dh_testroot
	rm -f build-stamp

	cd src && ./autogen.sh
ifeq "$(kernel_version)" "uspace"
	cd src && ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --with-realtime=uspace --enable-build-documentation=pdf --disable-check-runtime-deps
else
	cd src && ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --with-realtime=/usr/realtime-$(kernel_version) --enable-build-documentation=pdf --disable-check-runtime-deps
endif
	cd src && $(MAKE) clean -s
	rm -f Makefile.inc
	rm -f src/config.log src/config.status

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
# start the install
	mkdir -p debian/tmp

	# Version 0.22 and newer of the desktop-file-validate program
	# (in Jessie and newer) can deal with multiple files specified
	# on the command line.	Version 0.20 (in Wheezy) says it can,
	# but can't.  So feed it the files one by one.
	for F in $(shell find debian/extras/ -name *.desktop); do \
		desktop-file-validate $$F; \
	done

	-(cd debian/extras && cp -a * ../tmp)
	(cd src; export DESTDIR=`pwd`/../debian/tmp; $(MAKE) $@)
	mkdir -p debian/tmp/usr/lib debian/tmp/usr/include/linuxcnc
	cp lib/*.a debian/tmp/usr/lib
	mkdir -p debian/tmp/usr/share/doc/linuxcnc-dev
	mv debian/tmp/usr/share/doc/linuxcnc/LinuxCNC_Developer_Manual.pdf \
		debian/tmp/usr/share/doc/linuxcnc-dev/
	mv debian/tmp/usr/share/doc/linuxcnc/LinuxCNC_Developer_Manual_es.pdf \
		debian/tmp/usr/share/doc/linuxcnc-dev/
	cp docs/html/gcode*.html debian/tmp/usr/share/doc/linuxcnc/
	# Until we can actually build LinuxCNC_Getting_Started_cn.pdf
	cp docs/LinuxCNC_Getting_Started_cn.pdf debian/tmp/usr/share/doc/linuxcnc/LinuxCNC_Getting_Started_cn.pdf
	rm -rf debian/tmp/usr/share/doc/linuxcnc/html
	-rm debian/tmp/linuxcnc*.files
	-rm -f debian/tmp/usr/share/doc/linuxcnc/examples/sample-configs/*/*position*.txt
	(cd debian/tmp/usr/share/doc/linuxcnc/examples; \
	    ln -sf ../../../linuxcnc/ncfiles ./nc_files)
	dh_movefiles
	if [ `find debian/tmp -type f | wc -c` != 0 ]; then \
		echo "Files exist in debian/tmp, but should not:"; \
		find debian/tmp -type f; \
		exit 1; \
	fi

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installmime
	dh_link
	dh_strip
	dh_compress -X.pdf -X.txt -X.hal -X.ini -X.clp -X.var -X.nml -X.tbl -X.xml -Xsample-configs
	dh_fixperms -X/linuxcnc_module_helper -X/rtapi_app
	dh_python2
	dh_makeshlibs
	dh_installdeb
	cat debian/linuxcnc-uspace/DEBIAN/shlibs debian/shlibs.pre > debian/shlibs.local
	dh_shlibdeps -u--warnings=0 -l debian/linuxcnc-uspace/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

debian/rules: debian/configure debian/*.in
	debian/configure uspace

## linuxcnc 2.8.1

=== debian/changelog ===
linuxcnc (1:2.8.1) buster; urgency=low

  * Docs: Updated Chinese "Getting Started"
  * plasmac: fix conversational path error
  * hostmot2: Add support for Mesa 7i95, 7i97 and 7c80
  * qtvcp -qtdragon: updates
  * plasmac: Bugfixes
  * qtvcp -many updates
  * Forgot to add source file to Makefile
  * Fix for pre-c99 compilers
  * hm2_rpspi: remove and reinstate the kernel spi driver at startup/shutdown
  * plasmac: Don't pierce spotting operations and many other updates
  * changed pocket_number to mod_pocket in direction logic
  * motion.9 motion.feed-inhibit gcode only (not jogs)
  * command.c for consistency, allow jogs if feedhold
  * control.c joint jogs inhibition if feedhold
  * userkins.comp (new) userkins using halcompile
  * gs2_vfd: Fixes how many registers that is written to Closes #506
  * Update internal names after file renaming in 2004 Closes #922
  * Fix gpio and pin relationship on rpi2 and later Closes #955
  * qtvcp -update camview
  * pncconf -allow different home switch offsets on tandem axes
  * added hal pin to allow preview refresh
  * pncconf -raise spinbox limits in tune test
  * pncconf -fix PID maxerror setting in the tune test fo rmetric machines
  * Docs: Pi links should be http not https
  * Docs: Add links to the Raspberry Pi SD card image to the install docs
  * dbounce.comp (new) alternative debounce component
  * docs: plasmac user guide update

 -- andypugh <andy@bodgesoc.org>  Sun, 29 Nov 2020 14:43:33 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Sebastian Kuzminsky <seb@highlab.com>
 Build-Depends: debhelper (>= 6),
     dh-python,
-    libudev-dev,iptables,
-    ,
+    linux-image-4.14.174-rtai-amd64,rtai-modules-4.14.174-rtai-amd64|rtai-modules-4.14.174,
+    linux-headers-4.14.174-rtai-amd64,
     kmod,
     python-yapps,
     tcl8.6-dev,
@@ -39,14 +39,14 @@
 Vcs-Browser: https://github.com/LinuxCNC/linuxcnc
 Vcs-Git: git://github.com/linuxcnc/linuxcnc.git
 
-Package: linuxcnc-uspace-dev
+Package: linuxcnc-dev
 Architecture: any
-Conflicts: linuxcnc-sim-dev, linuxcnc-dev
-Depends: g++, ,
+Conflicts: linuxcnc-sim-dev, linuxcnc-uspace-dev
+Depends: g++, linux-headers-4.14.174-rtai-amd64,
     python-serial,
     python (>= 2.7), python (<< 2.8),
     ${python:Depends}, ${misc:Depends},
-    linuxcnc-uspace (= ${binary:Version}),
+    linuxcnc (= ${binary:Version}),
     python-yapps
 Section: libs
 Description: PC based motion controller for real-time Linux
@@ -57,8 +57,8 @@
  This package includes files needed to build new realtime components and
  alternate front-ends for linuxcnc
 
-Package: linuxcnc-uspace
-Conflicts: linuxcnc-sim, linuxcnc
+Package: linuxcnc
+Conflicts: linuxcnc-sim, linuxcnc-uspace
 Architecture: any
 Recommends: linuxcnc-doc-en | linuxcnc-doc,
     python-pyqt5,
@@ -73,8 +73,8 @@
     python-espeak,
     espeak,
     pyqt5-dev-tools,
-    hostmot2-firmware-all, linux-image-rt-amd64 [linux-amd64], linux-image-rt-686-pae [linux-i386]
-Depends: ${shlibs:Depends}, libudev-dev,iptables,
+    hostmot2-firmware-all
+Depends: ${shlibs:Depends}, linux-image-4.14.174-rtai-amd64,rtai-modules-4.14.174-rtai-amd64|rtai-modules-4.14.174,
     tcl8.6, tk8.6, bwidget (>= 1.7), libtk-img (>=1.13),
     python (>= 2.7), python (<< 2.8),
     ${python:Depends}, ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-kernel_version = uspace
+kernel_version = 4.14.174-rtai-amd64
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -117,8 +117,8 @@
 	dh_python2
 	dh_makeshlibs
 	dh_installdeb
-	cat debian/linuxcnc-uspace/DEBIAN/shlibs debian/shlibs.pre > debian/shlibs.local
-	dh_shlibdeps -u--warnings=0 -l debian/linuxcnc-uspace/usr/lib
+	cat debian/linuxcnc/DEBIAN/shlibs debian/shlibs.pre > debian/shlibs.local
+	dh_shlibdeps -u--warnings=0 -l debian/linuxcnc/usr/lib
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
@@ -127,4 +127,4 @@
 .PHONY: build clean binary-indep binary-arch binary install
 
 debian/rules: debian/configure debian/*.in
-	debian/configure uspace
+	debian/configure 4.14.174-rtai-amd64
